---
updatedAt: 2025-09-10T13:04:49.000Z
agentTools:
  projectIndex: https://docs.aurorasolar.com/llms.txt
---

# Rate Limits

To guard against bursts of incoming traffic and help maximize its stability, Aurora limits the number of requests received by the API within any given minute. Our default rate limit is *90 requests per minute*. Individual endpoints may have their own rate limits and are documented accordingly. Please check the response body and/or the `Retry-After` response header for an indication when the next API call will be allowed.

Note that most customers who run into the throttling limit run polling processes. We recommend using [webhooks](https://docs.aurorasolar.com/reference/webhooks) to address this situation. Please contact your Aurora account representative to discuss your specific needs. We are happy to help design a workflow that works for your business.